<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:15 CET 2009 -->
<TITLE>
Uses of Package ch.javasoft.bitset
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Package ch.javasoft.bitset";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/bitset/package-use.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-use.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Package<br>ch.javasoft.bitset</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.bitset"><B>ch.javasoft.bitset</B></A></TD>
<TD>The <tt>bitset</tt> package contains classes for different <i>bitset</i> 
implementations; a bitset is a binary implementation of a set, similar to 
Java's own <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html" title="class or interface in java.util"><CODE>BitSet</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.bitset.search"><B>ch.javasoft.bitset.search</B></A></TD>
<TD>The <tt>bitset.search</tt> package and subpackages contain classes and 
interfaces related to subset and superset searching in a collection of 
<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset"><CODE>bit sets</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.bitset.search.tree"><B>ch.javasoft.bitset.search.tree</B></A></TD>
<TD>The <tt>bitset.search.tree</tt> package contains classes and interfaces 
implementing subset and superset searching with bit pattern trees.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore"><B>ch.javasoft.metabolic.efm.adj.incore</B></A></TD>
<TD>The <tt>adj.incore</tt> package and subpackages contain classes for adjacency 
enumeration strategies which are performed <i>in-core</i>, that is, necessary
data structures are kept in memory.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree"><B>ch.javasoft.metabolic.efm.adj.incore.tree</B></A></TD>
<TD>The <tt>adj.incore.tree</tt> package and subpackages contain classes 
implementing different bit pattern tree versions; all those trees are stored 
in-core (in memory).&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.rank"><B>ch.javasoft.metabolic.efm.adj.incore.tree.rank</B></A></TD>
<TD>The <tt>adj.incore.tree.rank</tt> package contains classes using the trees for 
the recursive enumeration of adjacent rays, but perform <i>pure</i> rank 
computations (no rank updating) to test for adjacency.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.search"><B>ch.javasoft.metabolic.efm.adj.incore.tree.search</B></A></TD>
<TD>The <tt>adj.incore.tree.search</tt> package contains classes using the trees for 
recursive enumeration of adjacent rays, but also for an indexed search to 
perform the combinatorial adjacency test.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.urank"><B>ch.javasoft.metabolic.efm.adj.incore.tree.urank</B></A></TD>
<TD>The <tt>adj.incore.tree.urank</tt> package contains classes using the trees for 
the recursive enumeration of adjacent rays, using the <i>lazy rank updating</i>
approach to test for adjacency.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl"><B>ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl</B></A></TD>
<TD>The <tt>adj.incore.tree.urank.dbl2</tt> uses double precision arithmetic for the
rank updating procedure, without copying of partly triangularized matrices&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl2"><B>ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl2</B></A></TD>
<TD>The <tt>adj.incore.tree.urank.dbl</tt> uses double precision arithmetic for the
rank updating procedure, with copying of partly triangularized matrices.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac"><B>ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac</B></A></TD>
<TD>The <tt>adj.incore.tree.urank.frac</tt> uses fractional arithmetic for the
rank updating procedure, without copying of partly triangularized matrices.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac2"><B>ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac2</B></A></TD>
<TD>The <tt>adj.incore.tree.urank.frac2</tt> uses fractional arithmetic for the
rank updating procedure, with copying of partly triangularized matrices.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.urank.modp"><B>ch.javasoft.metabolic.efm.adj.incore.tree.urank.modp</B></A></TD>
<TD>The <tt>adj.incore.tree.urank.modp</tt> uses long integer residue arithmetic 
for the rank updating procedure.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.column"><B>ch.javasoft.metabolic.efm.column</B></A></TD>
<TD>The <tt>column</tt> subpackage defines a 
<A HREF="../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column"><CODE>column</CODE></A> interface representing
an (intermediary) elementary mode; implementations for different number types 
are available.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.concurrent"><B>ch.javasoft.metabolic.efm.concurrent</B></A></TD>
<TD>The <tt>concurrent</tt> subpackage provides interfaces and classes used for
multi-threaded concurrent computation.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.model"><B>ch.javasoft.metabolic.efm.model</B></A></TD>
<TD>The <tt>model</tt> package and subpackages defines interfaces and provides
default classes for the support of different algorithm variants.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.model.canonical"><B>ch.javasoft.metabolic.efm.model.canonical</B></A></TD>
<TD>The <tt>model.canonical</tt> subpackage implements the canonical approach, the 
original method to compute elementary modes introduced by Schuster <i>et al.</i>
(see [1], for an overview and implementation details also [2], [3]).&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.model.nullspace"><B>ch.javasoft.metabolic.efm.model.nullspace</B></A></TD>
<TD>The <tt>model.nullspace</tt> subpackage implements the nullspace approach
introduced by Wagner (see [1], for an overview and implementation details also
[2], [3]).&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.rankup"><B>ch.javasoft.metabolic.efm.rankup</B></A></TD>
<TD>The <tt>rankup</tt> package and subpackages contain classes and interfaces 
implementing the <i>lazy rank updating</i> method to enumerate adjacent modes.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.rankup.modpi"><B>ch.javasoft.metabolic.efm.rankup.modpi</B></A></TD>
<TD>The <tt>rankup.modpi</tt> package contains classes implementing the 
<i>lazy rank updating</i> method to enumerate adjacent modes using residue 
arithmetic, modulo a large 32bit integer prime number, typically 
<tt>32,749</tt>, the largest prime below <tt>&radic;(Integer.MAX_VALUE/2)</tt>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.tree"><B>ch.javasoft.metabolic.efm.tree</B></A></TD>
<TD>The <tt>tree</tt> package and subpackages contain classes implementing different 
bit pattern tree versions; the trees are stored in-core (in memory) or
out-of-core (for instance on disk), and they can be used in combination with any 
adjacency test method.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.tree.impl"><B>ch.javasoft.metabolic.efm.tree.impl</B></A></TD>
<TD>The <tt>tree.impl</tt> package contains default implementations for the 
interfaces defined in the <A HREF="../../../ch/javasoft/metabolic/efm/tree/package-summary.html"><CODE>tree package</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.tree.incore"><B>ch.javasoft.metabolic.efm.tree.incore</B></A></TD>
<TD>The <tt>tree.incore</tt> package contains classes implementing an in-core 
version of the bit pattern tree, meaning that the tree is stored in (core) 
memory.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.tree.outcore"><B>ch.javasoft.metabolic.efm.tree.outcore</B></A></TD>
<TD>The <tt>tree.outcore</tt> package contains classes implementing an out-of-core 
version of the bit pattern tree, meaning that the tree is stored in files 
(core of core memory).&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.tree.rankup"><B>ch.javasoft.metabolic.efm.tree.rankup</B></A></TD>
<TD>The <tt>tree.rankup</tt> package contains classes for the 
<i>lazy rank updating</i> approach based on bit pattern trees.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.tree.search"><B>ch.javasoft.metabolic.efm.tree.search</B></A></TD>
<TD>The <tt>tree.rankup</tt> package contains classes for the 
<i>lazy rank updating</i> approach based on bit pattern trees.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.util"><B>ch.javasoft.metabolic.efm.util</B></A></TD>
<TD>The <tt>util</tt> package contains utility and helper classes for different
aspects and parts of the <A HREF="../../../ch/javasoft/metabolic/efm/package-summary.html"><CODE>efm</CODE></A> packages, that 
is, for the computation of elementary modes (EFMs) for 
<A HREF="../../../ch/javasoft/metabolic/package-summary.html"><CODE>metabolic</CODE></A> networks.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.bitset"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/BitSetFactory.html#ch.javasoft.bitset"><B>BitSetFactory</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>BitSetFactory</code> class offers generic instantiation methods for
 different <A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset"><CODE>IBitSet</CODE></A> implementations.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/ByteBitSet.html#ch.javasoft.bitset"><B>ByteBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A <code>LongBitSet</code> stores bits using a byte array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/ByteBitSet.ByteBitSetFactory.html#ch.javasoft.bitset"><B>ByteBitSet.ByteBitSetFactory</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>ByteBitSetFactory</code> is the <A HREF="../../../ch/javasoft/bitset/BitSetFactory.html" title="interface in ch.javasoft.bitset"><CODE>BitSetFactory</CODE></A> for 
 <code>ByteBitSet</code> instances.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/DefaultBitSet.html#ch.javasoft.bitset"><B>DefaultBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>DefaultBitSet</code> is the implementation of <A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset"><CODE>IBitSet</CODE></A>
 backed with Java's own <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html" title="class or interface in java.util"><CODE>BitSet</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/DefaultBitSet.DefaultBitSetFactory.html#ch.javasoft.bitset"><B>DefaultBitSet.DefaultBitSetFactory</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>DefaultBitSetFactory</code> is the <A HREF="../../../ch/javasoft/bitset/BitSetFactory.html" title="interface in ch.javasoft.bitset"><CODE>BitSetFactory</CODE></A> for 
 <code>DefaultBitSet</code> instances.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.bitset"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IntBitSet.html#ch.javasoft.bitset"><B>IntBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A <code>LongBitSet</code> stores bits using a int array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IntBitSet.IntBitSetFactory.html#ch.javasoft.bitset"><B>IntBitSet.IntBitSetFactory</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>IntBitSetFactory</code> is the <A HREF="../../../ch/javasoft/bitset/BitSetFactory.html" title="interface in ch.javasoft.bitset"><CODE>BitSetFactory</CODE></A> for 
 <code>IntBitSet</code> instances.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/LongBitSet.html#ch.javasoft.bitset"><B>LongBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A <code>LongBitSet</code> stores bits using a long integer array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/LongBitSet.LongBitSetFactory.html#ch.javasoft.bitset"><B>LongBitSet.LongBitSetFactory</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>LongBitSetFactory</code> is the <A HREF="../../../ch/javasoft/bitset/BitSetFactory.html" title="interface in ch.javasoft.bitset"><CODE>BitSetFactory</CODE></A> for 
 <code>LongBitSet</code> instances.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.bitset.search"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/bitset/search/package-summary.html">ch.javasoft.bitset.search</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.bitset.search"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.bitset.search.tree"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/bitset/search/tree/package-summary.html">ch.javasoft.bitset.search.tree</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.bitset.search.tree"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/adj/incore/package-summary.html">ch.javasoft.metabolic.efm.adj.incore</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.adj.incore"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/adj/incore/tree/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.adj.incore.tree"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.rank"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/adj/incore/tree/rank/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.rank</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.adj.incore.tree.rank"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.search"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/adj/incore/tree/search/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.search</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.adj.incore.tree.search"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.urank"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.adj.incore.tree.urank"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/dbl/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl2"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/dbl2/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl2</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl2"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/frac/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac2"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/frac2/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac2</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac2"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.urank.modp"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/modp/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.modp</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.adj.incore.tree.urank.modp"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.column"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/column/package-summary.html">ch.javasoft.metabolic.efm.column</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.column"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.concurrent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/concurrent/package-summary.html">ch.javasoft.metabolic.efm.concurrent</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.concurrent"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.model"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/model/package-summary.html">ch.javasoft.metabolic.efm.model</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.model"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.model.canonical"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/model/canonical/package-summary.html">ch.javasoft.metabolic.efm.model.canonical</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.model.canonical"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.model.nullspace"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/model/nullspace/package-summary.html">ch.javasoft.metabolic.efm.model.nullspace</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.model.nullspace"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.rankup"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/rankup/package-summary.html">ch.javasoft.metabolic.efm.rankup</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.rankup"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.rankup.modpi"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/rankup/modpi/package-summary.html">ch.javasoft.metabolic.efm.rankup.modpi</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.rankup.modpi"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.tree"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/tree/package-summary.html">ch.javasoft.metabolic.efm.tree</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.tree"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.tree.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/tree/impl/package-summary.html">ch.javasoft.metabolic.efm.tree.impl</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.tree.impl"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.tree.incore"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/tree/incore/package-summary.html">ch.javasoft.metabolic.efm.tree.incore</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.tree.incore"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.tree.outcore"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/tree/outcore/package-summary.html">ch.javasoft.metabolic.efm.tree.outcore</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.tree.outcore"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.tree.rankup"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/tree/rankup/package-summary.html">ch.javasoft.metabolic.efm.tree.rankup</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.tree.rankup"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.tree.search"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/tree/search/package-summary.html">ch.javasoft.metabolic.efm.tree.search</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.tree.search"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.util"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/util/package-summary.html">ch.javasoft.metabolic.efm.util</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/BitSetFactory.html#ch.javasoft.metabolic.efm.util"><B>BitSetFactory</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>BitSetFactory</code> class offers generic instantiation methods for
 different <A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset"><CODE>IBitSet</CODE></A> implementations.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/bitset/class-use/IBitSet.html#ch.javasoft.metabolic.efm.util"><B>IBitSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IBitSet</code> interface defines bit set operations common to all
 implementors.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/bitset/package-use.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-use.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
